
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "yii_redis_store/version"

Gem::Specification.new do |spec|
  spec.name          = "yii_redis_store"
  spec.version       = YiiRedisStore::VERSION
  spec.authors       = ["Simon Iong"]
  spec.email         = ["manin.iong@gmail.com"]

  spec.summary       = %q{ session redis store using Yii 2.0's format }
  spec.description   = %q{ a custom redis store library that plug and play to consume Yii 2.0's session data with Rails app }
  spec.homepage      = "https://simoniong.info"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "php-serialize", "~> 1.2.0"
  spec.add_dependency "redis-rails", "~> 5.0.2"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
